import request from "../request";
import { AxiosPromise } from "axios";

class Wx {
	jspapi(params:{
		url:string
	}): AxiosPromise<any> {
		return request({
			url: "/open-api/wx/gzh/jspapi",
			params,
			method:'GET'

		});
	}
	//取模拟考试题库-无分页-旧接口
	// selectTestK14QuestionInfoListnN(params:{
	// 	subject?:number
	// }):AxiosPromise<any>{
	// 	return request({
	// 		url: "/open-api/question/info/selectTestK14QuestionInfoListnN",
	// 		params,
	// 		method:'GET'

	// 	});
	// },
	//取模拟考试题库-无分页-新接口
	selectTestK14QuestionInfoListnN(params:{
		subject?:number
	}):AxiosPromise<any>{
		return request({
			url: "/open-api/question2/info/selectTestK14QuestionInfoListnN",
			params,
			method:'GET'

		});
	}


}
export const openApi  = new Wx()